.TH AIOWSGI-SERVE "1" "November 2018" "aiowsgi-serve 0.7" "User Commands"
.SH NAME
aiowsgi-serve \- minimalist WSGI server using async
.SH DESCRIPTION
aiowsgi\-serve [OPTS] MODULE:OBJECT
.PP
Standard options:
.HP
\fB\-\-help\fR
.IP
Show this information.
.HP
\fB\-\-call\fR
.IP
Call the given object to get the WSGI application.
.HP
\fB\-\-host\fR=\fI\,ADDR\/\fR
.IP
Hostname or IP address on which to listen, default is '0.0.0.0',
which means "all IP addresses on this host".
.IP
Note: May not be used together with \fB\-\-listen\fR
.HP
\fB\-\-port\fR=\fI\,PORT\/\fR
.IP
TCP port on which to listen, default is '8080'
.IP
Note: May not be used together with \fB\-\-listen\fR
.HP
\fB\-\-listen\fR=\fI\,ip\/\fR:port
.IP
Tell waitress to listen on an ip port combination.
.IP
Example:
.IP
\fB\-\-listen\fR=\fI\,127\/\fR.0.0.1:8080
\fB\-\-listen\fR=\fI\,[\/\fR::1]:8080
\fB\-\-listen=\fR*:8080
.IP
This option may be used multiple times to listen on multiple sockets.
A wildcard for the hostname is also supported and will bind to both
IPv4/IPv6 depending on whether they are enabled or disabled.
.HP
\fB\-\-[no\-]ipv4\fR
.IP
Toggle on/off IPv4 support.
.IP
Example:
.IP
\fB\-\-no\-ipv4\fR
.IP
This will disable IPv4 socket support. This affects wildcard matching
when generating the list of sockets.
.HP
\fB\-\-[no\-]ipv6\fR
.IP
Toggle on/off IPv6 support.
.IP
Example:
.IP
\fB\-\-no\-ipv6\fR
.IP
This will turn on IPv6 socket support. This affects wildcard matching
when generating a list of sockets.
.HP
\fB\-\-unix\-socket\fR=\fI\,PATH\/\fR
.IP
Path of Unix socket. If a socket path is specified, a Unix domain
socket is made instead of the usual inet domain socket.
.IP
Not available on Windows.
.HP
\fB\-\-unix\-socket\-perms\fR=\fI\,PERMS\/\fR
.IP
Octal permissions to use for the Unix domain socket, default is
\&'600'.
.HP
\fB\-\-url\-scheme\fR=\fI\,STR\/\fR
.IP
Default wsgi.url_scheme value, default is 'http'.
.HP
\fB\-\-url\-prefix\fR=\fI\,STR\/\fR
.TP
The ``SCRIPT_NAME`` WSGI environment value.
Setting this to anything
.IP
except the empty string will cause the WSGI ``SCRIPT_NAME`` value to be
the value passed minus any trailing slashes you add, and it will cause
the ``PATH_INFO`` of any request which is prefixed with this value to
be stripped of the prefix.  Default is the empty string.
.HP
\fB\-\-ident\fR=\fI\,STR\/\fR
.IP
Server identity used in the 'Server' header in responses. Default
is 'waitress'.
.PP
Tuning options:
.HP
\fB\-\-threads\fR=\fI\,INT\/\fR
.IP
Number of threads used to process application logic, default is 4.
.HP
\fB\-\-backlog\fR=\fI\,INT\/\fR
.IP
Connection backlog for the server. Default is 1024.
.HP
\fB\-\-recv\-bytes\fR=\fI\,INT\/\fR
.IP
Number of bytes to request when calling socket.recv(). Default is
8192.
.HP
\fB\-\-send\-bytes\fR=\fI\,INT\/\fR
.IP
Number of bytes to send to socket.send(). Default is 18000.
Multiples of 9000 should avoid partly\-filled TCP packets.
.HP
\fB\-\-outbuf\-overflow\fR=\fI\,INT\/\fR
.IP
A temporary file should be created if the pending output is larger
than this. Default is 1048576 (1MB).
.HP
\fB\-\-inbuf\-overflow\fR=\fI\,INT\/\fR
.IP
A temporary file should be created if the pending input is larger
than this. Default is 524288 (512KB).
.HP
\fB\-\-connection\-limit\fR=\fI\,INT\/\fR
.IP
Stop creating new channelse if too many are already active.
Default is 100.
.HP
\fB\-\-cleanup\-interval\fR=\fI\,INT\/\fR
.IP
Minimum seconds between cleaning up inactive channels. Default
is 30. See '\-\-channel\-timeout'.
.HP
\fB\-\-channel\-timeout\fR=\fI\,INT\/\fR
.IP
Maximum number of seconds to leave inactive connections open.
Default is 120. 'Inactive' is defined as 'has recevied no data
from the client and has sent no data to the client'.
.HP
\fB\-\-[no\-]log\-socket\-errors\fR
.IP
Toggle whether premature client disconnect tracepacks ought to be
logged. On by default.
.HP
\fB\-\-max\-request\-header\-size\fR=\fI\,INT\/\fR
.IP
Maximum size of all request headers combined. Default is 262144
(256KB).
.HP
\fB\-\-max\-request\-body\-size\fR=\fI\,INT\/\fR
.IP
Maximum size of request body. Default is 1073741824 (1GB).
.HP
\fB\-\-[no\-]expose\-tracebacks\fR
.IP
Toggle whether to expose tracebacks of unhandled exceptions to the
client. Off by default.
.HP
\fB\-\-asyncore\-loop\-timeout\fR=\fI\,INT\/\fR
.IP
The timeout value in seconds passed to asyncore.loop(). Default is 1.
.HP
\fB\-\-asyncore\-use\-poll\fR
.IP
The use_poll argument passed to ``asyncore.loop()``. Helps overcome
open file descriptors limit. Default is False.
.SH LICENSE
.TP
MIT
.SH AUTHOR
.TP
Gael Pasgrimaud
